Subject: [Softwires] Review of draft-sun-softwire-yang-02

From: Qin Wu <[email-masked]>
Date: Thu, 12 Mar 2015 07:53:35 +0000

Dear all,
I have read this document and think the softwire yang model is needed for the configuration and management of Softwire BRs and CPEs.
A few comments below:
In section 3.2, why the binding-ipv6-addr and binding-ipv6-prefix are both contained in the binding-table?
In section 1.1, in RFC6087, I don't see the definitions of the symbols used in these diagrams. Is the reference RFC6087 correct?
For the title of "2.3 Lightweight 4over6 lwB4", I think "lwB4" should be uppercase to get consistent with "ATFR".

-Qin

---

From: Ian Farrer <[email-masked]>
Date: Thu, 12 Mar 2015 18:12:56 +0100

Hi Qin,

Thanks for your comments. Please see inline.

Cheers,
Ian

> On 12 Mar 2015, at 08:53, Qin Wu <[email-masked]> wrote:
> 
> Dear all,

[if] The intention here is to allow for the binding table to be specified in one of two ways, either with an explicit /128 or a /64 with the IID automatically constructed from the IPv4 address and port set.

Looking at the model again, the way that it is currently defined is wrong. Here’s an updated section of the model that should achieve the above: 

   |     +--rw (binding-v6info)
   |     |  +—:(ipv6addr)
   |     |  |  +--rw binding-ipv6-addr    inet:ipv6-address
   |     |  +—:(ipv6pref)
   |     |     +--rw binding-ipv6-prefix  inet:ipv6-prefix

> In section 1.1, in RFC6087, I don't see the definitions of the symbols used in these diagrams. Is the reference RFC6087 correct?

[if] Good spot. We’ll remove this reference in the next version.

> For the title of "2.3 Lightweight 4over6 lwB4", I think "lwB4" should be uppercase to get consistent with "ATFR”.

[if] The capitalisation in draft-ietf-softwire-lw4over6 uses the terms ‘lwB4’ and ‘lwAFTR’ throughout, so the intention is to be consistent with this.

>  
> -Qin
> _______________________________________________
> Softwires mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/softwires <https://www.ietf.org/mailman/listinfo/softwires>

---

From: "Hao Wang" <[email-masked]>
Date: Fri, 13 Mar 2015 16:17:18 +0800

Hi Qin,

  Thanks for your review. With regard to your second comment (reference rfc6087), the definitions of the symbols just described in 'draft-ietf-netmod-rfc6087bis-01' rather than rfc6087, so we decide to add these symbols definitions in our next version until the bis becomes the RFC and reference it again.

  Regards,
Hao

2015-03-13 

Hao Wang 

发件人：Ian Farrer <[email-masked]>
发送时间：2015-03-13 01:12
主题：Re: [Softwires] Review of draft-sun-softwire-yang-02
收件人："Qin Wu"<[email-masked]>
抄送："[email-masked]"<[email-masked]>

Hi Qin,

Cheers,
Ian

Dear all,

   |     +--rw (binding-v6info)
   |     |  +—:(ipv6addr)

-Qin
_______________________________________________
Softwires mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/softwires

---

From: Qin Wu <[email-masked]>
Date: Mon, 16 Mar 2015 02:54:44 +0000

发件人: Ian Farrer [mailto:[email-masked]]
发送时间: 2015年3月13日 1:13
收件人: Qin Wu
抄送: [email-masked]
主题: Re: [Softwires] Review of draft-sun-softwire-yang-02

Hi Qin,

Cheers,
Ian

On 12 Mar 2015, at 08:53, Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:

Dear all,

   |     +--rw (binding-v6info)

   |     |  +—:(ipv6addr)

   |     |  +—:(ipv6pref)

[Qin]: Based on the above clarification, I think binding-ipv6-addr and binding-ipv6-prefix can not coexist at the same time, both binding-ipv6-addr and binding-ipv6-prefix should be optional leaf or choice, right?

   |     +--rw (binding-v6info)?

   |     |  +—:(ipv6addr)

   |     |  |  +--rw binding-ipv6-addr?    inet:ipv6-address

   |     |  +—:(ipv6pref)

   |     |     +--rw binding-ipv6-prefix?  inet:ipv6-prefix

---

From: Qin Wu <[email-masked]>
Date: Mon, 16 Mar 2015 03:00:13 +0000

Okay, please be more specific on what symbols defined in rfc6087 you are using in your draft.
-Qin
发件人: Hao Wang [mailto:[email-masked]]
发送时间: 2015年3月13日 16:17
收件人: Qin Wu
抄送: Ian Farrer; softwires
主题: Re: Re: [Softwires] Review of draft-sun-softwire-yang-02

Hi Qin,

  Regards,
Hao

2015-03-13
________________________________
Hao Wang
________________________________
发件人：Ian Farrer <[email-masked]<mailto:[email-masked]>>
发送时间：2015-03-13 01:12
主题：Re: [Softwires] Review of draft-sun-softwire-yang-02
收件人："Qin Wu"<[email-masked]<mailto:[email-masked]>>
抄送："[email-masked]<mailto:[email-masked]>"<[email-masked]<mailto:[email-masked]>>

Hi Qin,

Cheers,
Ian

Dear all,

   |     +--rw (binding-v6info)

   |     |  +—:(ipv6addr)

   |     |  +—:(ipv6pref)

-Qin
_______________________________________________
Softwires mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/softwires

---

From: Qi Sun <[email-masked]>
Date: Mon, 16 Mar 2015 09:06:24 +0100

Hi Qin,

Thanks for your comments! 

>    |     |     +--rw binding-ipv6-prefix?  inet:ipv6-prefix

According to the definition of “choice” in RFC6020: http://tools.ietf.org/html/rfc6020#section-4.2.7
   YANG allows the data model to segregate incompatible nodes into
   distinct choices using the "choice" and "case" statements.  The
   "choice" statement contains a set of "case" statements that define
   sets of schema nodes that cannot appear together.  Each "case" may
   contain multiple nodes, but each node may appear in only one "case"
   under a "choice".

Now that we’re using choice-case structure, it guarantees that binding-ipv6-addr and binding-ipv6-prefix cannot be presented at the same time. And either binding-ipv6-addr or binding-ipv6-prefix has to be mandatory node for the complete binding item. So the question marks are not necessary. 

Cheers, 
Qi